%global momorel 2
%global qtver 3.3.5
%global kdever 3.5.3
%global kdelibsrel 1m
%global kdesdkrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global docver 0.8.2
%global enable_gcc_check_and_hidden_visibility 0

Summary: GPhoto2 KDE3 frontend
Name: digikam
Version: 0.8.2
Release: %{momorel}m
License: GPL
URL: http://www.digikam.org/
Group: Applications/Multimedia
%NoSource 0 http://dl.sourceforge.net/sourceforge/digikam/%{name}-%{version}.tar.bz2 fd57b7bfe4577dc2e2efd6d33122a46b
%NoSource 1 http://dl.sourceforge.net/sourceforge/digikam/%{name}-doc-%{docver}.tar.bz2 888dda05cdb61fb5e971ac3c5ed14931
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: gphoto2, kipi-plugins, sqlite
Requires: dcraw
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: libart_lgpl-devel, zlib-devel, fam-devel
BuildPreReq: libpng-devel, libjpeg-devel, libtiff-devel >= 3.5.0
BuildPreReq: libgphoto2-devel >= 2.2.1, gphoto2 >= 2.2.0
BuildPreReq: imlib2-devel >= 1.2.0, imlib-devel
BuildPreReq: libexif-devel >= 0.6.13
BuildPreReq: libkipi-devel >= 0.1.4
BuildPreReq: libkexif-devel >= 0.2.4
BuildPreReq: sqlite-devel, gdbm-devel >= 1.8.0

%description
Digikam is a fine KDE interface for gphoto2.
Designed to be a standalone application to preview and download images 
from a digital camera on a linux machine.

%prep
# clean up digikam-doc
rm -rf %{_builddir}/%{name}-doc-%{docver}

%setup -q -b 1

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

# build digikam-doc
cd %{_builddir}/%{name}-doc-%{docver}

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--disable-rpath

make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install digikam-doc
cd %{_builddir}/%{name}-doc-%{docver}
make install DESTDIR=%{buildroot}

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/digikam.png %{buildroot}%{_datadir}/pixmaps/digikam.png
ln -s ../icons/hicolor/48x48/apps/showfoto.png %{buildroot}%{_datadir}/pixmaps/showfoto.png

# remove doc/HTML/*/digikam-%%{version}apidocs
rm -rf %{buildroot}%{_datadir}/doc/HTML/*/digikam-%{version}*-apidocs

# make symlinks relative
pushd %{buildroot}%{_docdir}/HTML
for lang in da de es et fr it nl pl pt pt_BR sv ; do
  if [ -d $lang ]; then
    cd $lang
    for i in *; do
      if [ -d $i -a -L $i/common ]; then
        rm -f $i/common
        ln -sf ../docs/common $i
      fi
    done
    cd ..
  fi
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README TODO
%{_bindir}/digikam
%{_bindir}/showfoto
%{_includedir}/digikam
%{_includedir}/digikam_export.h
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/libdigikam.la
%{_libdir}/libdigikam.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/apps/digikam
%{_datadir}/apps/showfoto
%{_datadir}/doc/HTML/*/digikam
%{_datadir}/doc/HTML/*/showfoto
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/pixmaps/digikam.png
%{_datadir}/pixmaps/showfoto.png
%{_datadir}/services/*.desktop
%{_datadir}/services/*.protocol
%{_datadir}/servicetypes/digikamimageplugin.desktop

%changelog
* Thu Jul 20 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-2m)
- update digikam-doc to 0.8.2

* Wed Jul 19 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-1m)
- version 0.8.2

* Sat Jun 24 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.2-0.1.3m)
- depend sqlite3 -> sqlite

* Sat Jun 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.2m)
- fix symlinks

* Fri May 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.2-0.1.1m)
- update to version 0.8.2 rc1

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-3m)
- revise %%files for KDE 3.5.2

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-2m)
- add --enable-new-ldflags to configure

* Sat Jan 21 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.1-1m)
- version 0.8.1
- remove merged gcc41.patch

* Sat Dec 24 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.0-3m)
- add gcc-4.1 patch
-- Patch0: digikam-0.8.0-gcc41.patch

* Sat Dec  3 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-2m)
- rebuild against libexif-0.6.12-1m

* Sat Nov 26 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.0-1m)
- version 0.8.0
- BuildPreReq: sqlite3-devel
- Requires: sqlite3

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-2m)
- add --disable-rpath to configure

* Fri Aug 19 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-1m)
- version 0.7.4

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.3-1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
